Bug 785031 - RFE - Allow project maintainer to push list of locales via REST
Summary: RFE - Allow project maintainer to push list of locales via REST
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Zanata
Classification: Retired
Component: Component-Logic
Version: 1.5-SNAPSHOT
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Isaac Rooskov
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-27 01:58 UTC by Sean Flanigan
Modified: 2015-08-06 05:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-24 01:23:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 730186 None None None Never

Internal Links: 730186

Description Sean Flanigan 2012-01-27 01:58:49 UTC
There is not necessarily any relation between the locale list in zanata.xml and the project/iteration's locale list on the server.  But it would be useful to allow project maintainers to modify the project (or iteration) locale list via REST.  That way,
  mvn zanata:push-locales [-Dzanata.target=version]
would synchronise the project iteration's locale list with the <locales> list in zanata.xml

And
  mvn zanata:push-locales -Dzanata.target=project
would push the locale list to the project, and mark the project iteration as inheriting its locale list from the project (rather than customising the list).

Any locales which have not been enabled by the server admin would be disallowed.

We could also add -Dzanata.target=server which would allow admin to add new locales and/or enable disabled ones.

Comment 1 Michelle Kim 2015-02-24 01:23:50 UTC
From users perspective, I think this is not as relevant any more. 
Project Maintainers can pick the languages from the UI (Friendlier way than command line).

Comment 2 Sean Flanigan 2015-02-24 01:38:08 UTC
If we want to make Zanata more attractive to software developers and project maintainers, some of them are going to want to automate locale management, rather than having to go through the UI.

But this bug is somewhat obsolete in view of bug 1156236.


Note You need to log in before you can comment on or make changes to this bug.